#!/bin/bash
VERSION_RAW=$(cat /usr/share/backuppc/lib/realindex.cgi | grep Version | cut -d " " -f 3)
VERSION_COMMA=$(echo ${VERSION_RAW//,})
VERSION=$(echo ${VERSION_COMMA//.})

if [[ "$VERSION" -ge 330 ]]; then
    ALL_HOSTS=$(find /etc/backuppc/ -type f ! -name '*.old')
    DISABLED=$(grep "$Conf{BackupsDisable} = 2;" ${ALL_HOSTS} | cut -d'/' -f4 | rev | cut -c31- | rev | xargs -I{} echo "-x" {})
    /usr/bin/sudo -u 'backuppc' /usr/lib/nagios/plugins/check_backuppc -w '0' -c  '4' ${DISABLED}
else
    ALL_HOSTS=$(find /etc/backuppc/ -type f ! -name '*.old')
    DISABLED=$(grep "$Conf{BackupsDisable} = '2';" ${ALL_HOSTS} | cut -d'/' -f4 | rev | cut -c33- | rev | xargs -I{} echo "-x" {})
    /usr/bin/sudo -u 'backuppc' /usr/lib/nagios/plugins/check_backuppc -w '0' -c  '4' ${DISABLED}
fi